<?php

//
// Start session management
//


if($main_header)
{
 $userdata = session_pagestart($user_ip, $forum_id);
 init_userprefs($userdata);
 //
 // End session management
 //

 //
 // Start auth check
 //
 $is_auth = array();
 $is_auth = auth(AUTH_ALL, $forum_id, $userdata, $forum_row);

 if ( !$is_auth['auth_read'] || !$is_auth['auth_view'] )
 {
	if ( !$userdata['session_logged_in'] )
	{
		$redirect = POST_FORUM_URL . "=$forum_id" . ( ( isset($start) ) ? "&start=$start" : '' );
		redirect(append_sid("login.$phpEx?redirect=viewforum.$phpEx&$redirect", true));
	}
	//
	// The user is not authed to read this forum ...
	//
	$message = ( !$is_auth['auth_view'] ) ? $lang['Forum_not_exist'] : sprintf($lang['Sorry_auth_read'], $is_auth['auth_read_type']);

	message_die(GENERAL_MESSAGE, $message);
 }
}

if($main_header)
 include($phpbb_root_path . 'includes/page_header.'.$phpEx);





if ( !empty($category_id) )
{
global $show_state;
if(!$show_state)
{
	$sql = "SELECT f.*,c.cat_title, p.*
		FROM " . FORUMS_TABLE . " f, ".CATEGORIES_TABLE." c, ".POSTS_TABLE." p
		WHERE f.cat_id = $category_id AND c.cat_id=f.cat_id AND f.forum_last_post_id=p.post_id order by forum_posts desc limit 3";
}
else
{
	$sql = "SELECT f.*,c.cat_title,p.* 
		FROM " . FORUMS_TABLE . " f, ".CATEGORIES_TABLE." c, ".POSTS_TABLE." p
		WHERE f.cat_id = $category_id AND c.cat_id=f.cat_id AND f.forum_last_post_id=p.post_id  order by forum_posts desc";

}
	if ( !($result = $db->sql_query($sql)) )
	{
		message_die(GENERAL_ERROR, 'Could not obtain forums information', '', __LINE__, __FILE__, $sql);
	}
}
else
{
	message_die(GENERAL_MESSAGE, 'Forum_not_exist');
}
//
// If the query doesn't return any rows this isn't a valid forum. Inform
// the user.
//
while ($row = $db->sql_fetchrow($result))
{

 $ar = create_date($board_config['default_dateformat'], $row[post_time] ,$board_config['borad_timezone'] );
/*
     $ar[5] += 1900; $ar[4]++;
     $iTztime = gmmktime ( $ar[2], $ar[1], $ar[0],$ar[4], $ar[3], $ar[5], $ar[8] );
*/		 


		$topic_author = ( $row['poster_id'] != ANONYMOUS ) ? '<a href="' . append_sid("profile.$phpEx?mode=viewprofile&amp;" . POST_USERS_URL . '=' . $row['poster_id']) . '">' : '';
		$topic_author .= ( $row['poster_id'] != ANONYMOUS ) ? $row['post_username'] : ( ( $topic_rowset[$i]['post_username'] != '' ) ? $row['post_username'] : $lang['Guest'] );
		$topic_author .= ( $row['poster_id'] != ANONYMOUS ) ? '</a>' : '';
		$last_post_url = '<a href="' . 
		append_sid("viewtopic.$phpEx?"  . POST_POST_URL . '=' . 
		$row['forum_last_post_id']) . 
		'#autoancer"><img src="' . 
		$images['icon_latest_reply'] . 
		'" alt="' . $lang['View_latest_post'] 
		. '" title="' 
		. $lang['View_latest_post'] . 
		'" border="0" /></a>';

    $cat_name=$row['cat_title'];
		$template->assign_block_vars('topicrow', array(
			'ROW_COLOR' => $row_color,
			'ROW_CLASS' => $row_class,
			'FORUM_ID' => $row['forum_id'],
			'TOPIC_ID' => $topic_id,
			'TOPIC_FOLDER_IMG' => $images['folder'] ,
			'TOPIC_AUTHOR' => '<a href=profile.php?mode=viewprofile&u=2>Admin</a>', 
			'GOTO_PAGE' => $goto_page,
			'TOPIC_DESC' => $row['forum_desc'],
			'REPLIES' => $row['forum_topics'],
			'NEWEST_POST_IMG' => $newest_post_img, 

			'TOPIC_ATTACHMENT_IMG' => topic_attachment_image($topic_rowset[$i]['topic_attachment']),
			'TOPIC_TITLE' => $row['forum_name'],
			'TOPIC_TYPE' => $topic_type,
			'VIEWS' => $row['forum_topics'],
			'FIRST_POST_TIME' => "", 
			'LAST_POST_TIME' => $ar, 
			'LAST_POST_AUTHOR' => $topic_author, 
			'LAST_POST_IMG' => $last_post_url,  

			'L_TOPIC_FOLDER_ALT' => $folder_alt, 

			'U_VIEW_TOPIC' => append_sid("viewforum.$phpEx?f=".$row['forum_id']."&ru=".$row['forum_id']."#autoancer", true)
			
			)
		);
}





//
// End of auth check
//

$template->set_filenames(array('body' => 'viewforum_body2.tpl'));
$orig_word = array();
$replacement_word = array();
obtain_word_list($orig_word, $replacement_word);

if($showsubtoprow==1)
 {$subtoprow=$lang['subtoprow'];}
else
 {$subtoprow='';}

if($showendtable==1)
 {$endtable='</table></td></tr></table>';}
else
 {$endtable='';}
$template->set_filenames(array(
	'body' => 'viewforum_body2.tpl')
);
make_jumpbox('viewforum.'.$phpEx);
if(!$show_state)
{
 $expand_url=append_sid("viewforum.$phpEx?f=$f&show_state=1&ru=".$row['forum_id']."#autoancer", true);
 $expand_name='++++ MORE FREE ESSEYS ++++';
}
else
{
 $expand_url=append_sid("viewforum.$phpEx?f=$f&ru=".$row['forum_id']."#autoancer", true);
 $expand_name='-- MINIMIZE ESSEYS LIST --';
}



global $collegeid,$stateid,$check_search;
global $scollegeid,$sstateid,$scheck_search;
if((!$scollegeid)&&(!$collegeid))
 {
  $collegeid=1;
  $stateid=1;
  global $REMOTE_ADDR;
/*
  $fp=fsockopen('localhost',19801,&$errno,&$errstr);
  if($fp)
   {
    fputs($fp,$REMOTE_ADDR);
    $answer='';
    while(!feof($fp))
     {
      $answer.=fgets($fp,128);
     }
    $res=explode("\n",$answer);
    $collegeid=$res[1];
    fclose($fp);
    $collegeid=1;
    $sql2="SELECT * FROM ".COLLEGE_TABLE." WHERE hood_id='$collegeid'";
    if(!($result=$db->sql_query($sql2)))
     message_die(GENERAL_ERROR,"can not select from states table ",__LINE__,__FILE__,$sql);
    if($row=$db->sql_fetchrow($result))
      $stateid=$row['state_id'];    
   }
  */
 }
if(!($collegeid>0))
{
 $collegeid=$scollegeid;
}
if(!($stateid>0))
 $stateid=$sstateid;

if(!($check_search>0))
 $check_search=$scheck_search;

$sql="SELECT * from ".STATES_TABLE." ORDER BY state_name asc";
if(!($result=$db->sql_query($sql)))
 message_die(GENERAL_ERROR,"can not select from states table ",__LINE__,__FILE__,$sql);
$state_search='';
while($row=$db->sql_fetchrow($result))
 {
  if($stateid==$row['state_id'])
   $sel=' selected ';
  else
   $sel='';
  if(!$row['state_desc'])$row['state_desc']='Other';
  $state_search.="<OPTION VALUE='".$row['state_id']."' $sel>".$row['state_desc']."\n";
  }
$sql="SELECT * from ".COLLEGE_TABLE." WHERE (state_id='".$stateid."') OR (hood_id='$college_id') ORDER BY hood_name asc";

if(!($result=$db->sql_query($sql)))
 message_die(GENERAL_ERROR,"can not select from colleges table ",__LINE__,__FILE__,$sql);
$college_search='';
while($row=$db->sql_fetchrow($result))
 {                                                                                if($collegeid==$row['hood_id'])
   $sel=' selected ';
  else
   $sel='';
  $college_search.="<OPTION VALUE='".$row['hood_id']."' $sel>".$row['hood_name']."\n";
  }
$sel0='';
$sel1='';
$sel2='';
if($check_search==1) $sel1=' checked ';
else if($check_search==2) $sel2=' checked ';
else $sel0=' checked ';

$check_search="<td><input type=\"radio\" name=check_search value=3 $sel0 onClick=\"this.form.submit()\">All</td>";
$check_search.="<td><input type=\"radio\" name=check_search value=1 $sel1 onClick=\"this.form.submit()\">State</td>";
$check_search.="<td><input type=\"radio\" name=check_search value=2 $sel2 onClick=\"this.form.submit()\">University</td>";
global $SCRIPT_NAME;
global $default_search;
global $sshow_header;
$flash_header='';
if(strpos($SCRIPT_NAME,'profile.php')||
   strpos($SCRIPT_NAME,'login.php')||
   strpos($SCRIPT_NAME,'faq.php')||
   strpos($SCRIPT_NAME,'memberlist.php')||
   strpos($SCRIPT_NAME,'groupcp.php')||
   strpos($SCRIPT_NAME,'privmsg.php')||
   strpos($SCRIPT_NAME,'book_details.php')
  )
 $search_header2='';
else
 $search_header2=$lang['SEARCH_HEADER_BOOK'];

global $scurrent_book;

if($scurrent_book!='')
 {
  $sql="SELECT * from ".BOOKS_TABLE." WHERE product_id='".$scurrent_book."' LIMIT 1";
  if(!($result=$db->sql_query($sql)))
   message_die(GENERAL_ERROR,"can not select from books table ",__LINE__,__FILE__,$sql);
  if($row=$db->sql_fetchrow($result))
   {
    $current_book=$row['product_name']." Author: ".$row['designer']; 
    $details="<a href=book_details.php?book=$scurrent_book target=__blank>";
   }
 }
if(!$current_book)
  {
    $current_book='Essentials of Psychology (3rd Edition) Author: Robert A. Baron';     
    $details="<a href=book_details.php?book=305727 target=__blank>";
  }
global $scurrent_book;
if($scurrent_book)
 $search_url="search_book_forums.php?mode=results&book_id=$scurrent_book&u_active=&search_university=";
else
 $search_url="search_books.php?mode=results&book_id=305723";

$search_header2=str_replace('{SEARCH_URL}',$search_url,$search_header2);
$search_header2=str_replace('{SELECT_STATE}',$state_search,$search_header2);
$search_header2=str_replace('{SELECT_UNIVERSITY}',$college_search,$search_header2);
if(!$default_search)
 $default_search=substr($current_book,0,25);
$search_header2=str_replace('{DEFAULT_SEARCH}',$default_search,$search_header2);
$search_header2=str_replace('{CURRENT_BOOK}',$details.$current_book."</a>",$search_header2);
 
$template->assign_vars(array(
	'FORUM_ID' => $forum_id,
	'FORUM_NAME' => $cat_name,
	'FORUM_DESC' => $cat_name,
	'SEARCH_HEADER' => $search_header2,

	'MODERATORS' => $forum_moderators,
	'POST_IMG' => ( $forum_row['forum_status'] == FORUM_LOCKED ) ? $images['post_locked'] : $images['post_new'],

	'FOLDER_IMG' => $images['folder'],
	'FOLDER_NEW_IMG' => $images['folder_new'],
	'FOLDER_HOT_IMG' => $images['folder_hot'],
	'FOLDER_HOT_NEW_IMG' => $images['folder_hot_new'],
	'FOLDER_LOCKED_IMG' => $images['folder_locked'],
	'FOLDER_LOCKED_NEW_IMG' => $images['folder_locked_new'],
	'FOLDER_STICKY_IMG' => $images['folder_sticky'],
	'FOLDER_STICKY_NEW_IMG' => $images['folder_sticky_new'],
	'FOLDER_ANNOUNCE_IMG' => $images['folder_announce'],
	'FOLDER_ANNOUNCE_NEW_IMG' => $images['folder_announce_new'],

	'L_SUBTOPROW' => $subtoprow,
	'L_ENDTABLE' =>$endtable,
	'L_TOPICS' => $lang['Topics'],
	'L_REPLIES' => $lang['Replies'],
	'L_VIEWS' => $lang['Views'],
	'L_POSTS' => $lang['Posts'],
	'L_LASTPOST' => $lang['Last_Post'], 
	'L_MODERATOR' => $l_moderators, 
	'L_MARK_TOPICS_READ' => $lang['Mark_all_topics'], 
	'L_POST_NEW_TOPIC' => ( $forum_row['forum_status'] == FORUM_LOCKED ) ? $lang['Forum_locked'] : $lang['Post_new_topic'], 
	'L_NO_NEW_POSTS' => $lang['No_new_posts'],
	'L_NEW_POSTS' => $lang['New_posts'],
	'L_NO_NEW_POSTS_LOCKED' => $lang['No_new_posts_locked'], 
	'L_NEW_POSTS_LOCKED' => $lang['New_posts_locked'], 
	'L_NO_NEW_POSTS_HOT' => $lang['No_new_posts_hot'],
	'L_NEW_POSTS_HOT' => $lang['New_posts_hot'],
	'L_ANNOUNCEMENT' => $lang['Post_Announcement'], 
	'L_STICKY' => $lang['Post_Sticky'], 
	'L_POSTED' => $lang['Posted'],
	'L_JOINED' => $lang['Joined'],
	'L_AUTHOR' => $lang['Author'],
	'OTHERS_POST_IMG' => $images['folder'],

	'S_AUTH_LIST' => $s_auth_can, 

	'U_VIEW_FORUM' => append_sid("viewforum.$phpEx?" . POST_FORUM_URL ."=$forum_id"),
	'U_EXPAND' => $expand_url,
	'L_EXPAND' => $expand_name,
	'U_MARK_READ' => append_sid("viewforum.$phpEx?" . POST_FORUM_URL . "=$forum_id&amp;mark=topics"))
	
);


//
// Parse the page and print
//


$template->pparse('body');
//
// Page footer
//
if($main_footer)
 include($phpbb_root_path . 'includes/page_tail.'.$phpEx);
?>